# Qubes-Community #
Here you can find the Community guide's, doc's, & wiki's. Furthermore you can also raise feedback discussions in the issue tracker.

### Caution before use ###
We, as in any Qubes-Community users, collaborators, members and owners, expect that anyone using anything produced, uploaded, adviced or otherwise, that comes out of the Qubes Community, to be met with a healthy amount of skepticism. Please be careful about running any scripts, following wiki's, doc's or guide's, which you don't understand what do. We take no responsibility for any damage or losses. We do however wish to keep the reliability, as well as security and privacy, at the best quality possible, but we are not accountable for not meeting our goals.

This site is run by volunteers. The Qubes OS Project is not affiliated with this site and does not endorse the content of any of these pages.

<br />

### Community doc's ###
All doc's here have the potential to one day become an official Qubes doc. Be mindful that they are still not perfect, and you must be careful when using them.
- Once Community doc's has been processed, they will appear on this list.

<br />

### Commuinity wiki's ###
The centralized and all published decentralized github wiki's can be found here. 
- [Qubes Community Wiki]() - Coming soon.
- Feel free to request for your Qubes wiki on helping Qubes related issues, to be linked here.

<br />

### Community external guide collection ###
- [Qubes 4 - Installing Win7](https://github.com/QubesOS/qubes-issues/issues/3585) - GitHub issue

<br />

### Commuinity Script's ###
Here you can find the community scripts. Currently there is no review system in place for scripts. Be extra cautious before you run any of them. In time we plan to review and/or improve the quality of all the listed scripts.

Read flow - Sorted after Qubes versions, and within Qubes versions after ABC. When no Qubes version is listed, then the script is considered to work with any current official supported Qubes system.

- [Qubes - A collection of small, but handy scripts]() 
  - Here you find our collection of smaller scripts, which are too small or too unqiue to be listed on this main page. There might be something useful in here though, so feel free to take a look once in a while as our collection grows and expands.
- [Qubes - Create minimal sys-vm](/scripts/qubes-create-minimal-sys-vms)
  - This script is helpful to help set up a minimal template and turn it into a small appVM for sys-net and sys-firewall. The script can be modified to include other similar use-cases as well.
- [Qubes - Easy dom0 to AppVM screenshotting](/scripts/qubes-screenshot-scripts)
  - A collection of community screenshot scripts to handle the dom0 screenshot issue.
- [Qubes - Easy sound volume control](/scripts/qubes-sound-control-scripts) 
  - Here you can find our growing collection of sound control scripts. 
  - They're typical ideal to keybind.
- [Qubes - Move files to dom0](/scripts/qvm-copy-to-dom0)
  - Moving files to dom0 is dangerous and discouraged, but if you must then here is a script to ease the process. If you know what you're doing, then this might be helpful.
- [Qubes 4 - Full system update](/scripts/qubes-auto-update-script-alpha.sh)
  - This script can update dom0 and all templates in a single click or keybind, starting from one end, automatically working itself through all your templaes and dom0 updates. The -y attribute option is not included, because it's seen as dangerous to auto-accept new updates without review, so it's expected for users to manually accept new updates. The script will continue automatically if no new updates are found. It can be modified to include extra templates, as well as changing between stable and current-testing. This script is also intended to ensure syncronization and avoid the fedora 48 hour cache issues, as well as to help keep repositories aligned across the whole Qubes system.
- [Qubes 4 - Win7 install - Guide/Script](/scripts/howto-build-win7-appvm)
  - This script is designed to be a part guide, part script. Essentially it guides you through the commands to create a new Win7 VM. Please use the script as it was intended as a mixed guide/script.



<br />

### Community project's ###
These are extensive works which incorporate multiple of inter-connected scripts and coding, problems which also may require their own issue tracking lists, as well as a larger collaboration of community developers. Community project's hold a repository on their own.
- [Qubes-A.I. ](https://github.com/Qubes-Community/Qubes-A.I.) - Offline & Open Source, initially Voice Control only. Project is fresh and require hands to speed it up.
- [Qubes-NAS](https://github.com/Qubes-Community/Qubes-NAS) - Securing your NAS systems. Project is fresh and require hands to speed it up.
- [QubesTV](https://github.com/Qubes-Community/QubesTV) - Securing your SmartTV. Project development has started, extra hands are welcome.

More projects to come as volunteers start them up. A project must go beyond the complexity of a script/guide, and involve complexity of inter-connected scripts, issue tracking, long-term development and updates, or other reasons that justifies it to become a project.

<br />

### Community guide's ###
Guides are not doc's which has the potential to reach the official Qubes doc's page. Instead guides are meant for more pure community oirentated how-to's. For example how to style your system to make it look better, or suggestions for how you can help contribute to the Qubes Community. 

 - [Hardware Selection](/guides/hardware-tree.md)
 - [Qubes Styling - XFCE4 w/ Launchers]() - Coming soon.

<br />


### Qubes server's - Guides & Scripts ###
Here you can find guides as well as scripts to a Qubes server of various types and sorts.
- [Qubes-A.I.-server ](https://github.com/Qubes-Community/Qubes-A.I.) - Is a Qubes Community project. It is listed here as a dublicate due to its double role as a project, as well as a server. It may in the future serve as a private hosted A.I. system, for example in your home, acting as a server through encrypted channels to your various mobile devices. This is a very long-term project, which needs developers to succeed.
- [Qubes-NAS-server](https://github.com/Qubes-Community/Qubes-NAS) - is a Qubes Community project. It is listed here as a dublicate due to its double role as a project, as well as a server. It may in the future serve as a private hosted NAS system, for example in your home, acting as a server through encrypted channelse to your various modbile devices. This is a future project, which might not be too far off, but also not too soon. It needs developers to speed it up.
- Qubes-Wire-Chat-server() - Using the open source client Wire, with the open source server, set as a Qubes server, the potential here is possibly big for secure chat systems. Further experimentaton needs to be done, however it's looking good for now. This is the most near-term Qubes server setups to be finished among the known works.



